
From: "Downing, Thomas" <Thomas.Downing@ipc.com>

The 2.6.12.3 kernel compilation fails for ARCH=ppc when CONFIG_PQ2FADS=y. 
This patch has been tested on Freescale PQ2FADS-ZU and -VR boards.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc/syslib/m82xx_pci.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/ppc/syslib/m82xx_pci.c~ppc-fix-compilation-error-with-config_pq2fads arch/ppc/syslib/m82xx_pci.c
--- devel/arch/ppc/syslib/m82xx_pci.c~ppc-fix-compilation-error-with-config_pq2fads	2005-07-25 21:55:36.000000000 -0700
+++ devel-akpm/arch/ppc/syslib/m82xx_pci.c	2005-07-25 21:55:36.000000000 -0700
@@ -238,9 +238,9 @@ pq2ads_setup_pci(struct pci_controller *
 	 * Setting required to enable IRQ1-IRQ7 (SIUMCR [DPPC]),
 	 * and local bus for PCI (SIUMCR [LBPC]).
 	 */
-	immap->im_siu_conf.siu_82xx.sc_siumcr = (immap->im_siu_conf.sc_siumcr &
-				~(SIUMCR_L2PC11 | SIUMCR_LBPC11 | SIUMCR_CS10PC11 | SIUMCR_APPC11) |
-				SIUMCR_BBD | SIUMCR_LBPC01 | SIUMCR_DPPC11 | SIUMCR_APPC10;
+	immap->im_siu_conf.siu_82xx.sc_siumcr = (immap->im_siu_conf.siu_82xx.sc_siumcr &
+				~(SIUMCR_L2CPC11 | SIUMCR_LBPC11 | SIUMCR_CS10PC11 | SIUMCR_APPC11) |
+				SIUMCR_BBD | SIUMCR_LBPC01 | SIUMCR_DPPC11 | SIUMCR_APPC10);
 #endif
 	/* Enable PCI  */
 	immap->im_pci.pci_gcr = cpu_to_le32(PCIGCR_PCI_BUS_EN);
_
